com.holonplatform.json

## Interface JsonReader

-     public interface JsonReader

  Represents a JSON encoded data source.
  Since:
    5.1.0
  See Also:
    `Json`

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonReader` | `from(byte[] bytes)` Build a `JsonReader` using given byte array as JSON data source.
    `static JsonReader` | `from(InputStream stream)` Build a `JsonReader` using given `InputStream` as JSON data source and UTF-8 as charset.
    `static JsonReader` | `from(InputStream stream, Charset charset)` Build a `JsonReader` using given `InputStream` as JSON data source and given charset.
    `static JsonReader` | `from(InputStream stream, String charsetName)` Build a `JsonReader` using given `InputStream` as JSON data source and given charset name.
    `static JsonReader` | `from(Reader reader)` Build a `JsonReader` using given `Reader` as JSON data source.
    `static JsonReader` | `from(String string)` Build a `JsonReader` using given String as JSON data source.
    `Reader` | `getReader()` Get the `Reader` to read the JSON data.

- - ### Method Detail

    - #### getReader

          Reader getReader()

      Get the `Reader` to read the JSON data.
      Returns:
        the JSON data reader

    - #### from

          static JsonReader from(Reader reader)

      Build a `JsonReader` using given `Reader` as JSON data source.
      Parameters:
        `reader` - JSON data reader
      Returns:
        a new `JsonReader`

    - #### from

          static JsonReader from(String string)

      Build a `JsonReader` using given String as JSON data source.
      Parameters:
        `string` - JSON string
      Returns:
        a new `JsonReader`

    - #### from

          static JsonReader from(byte[] bytes)

      Build a `JsonReader` using given byte array as JSON data source.
      Parameters:
        `bytes` - JSON data bytes (UTF-8 encoding is assumed by default)
      Returns:
        a new `JsonReader`

    - #### from

          static JsonReader from(InputStream stream)

      Build a `JsonReader` using given `InputStream` as JSON data source and UTF-8 as charset.
      Parameters:
        `stream` - JSON data input stream
      Returns:
        a new `JsonReader`

    - #### from

          static JsonReader from(InputStream stream,
                                 String charsetName)

      Build a `JsonReader` using given `InputStream` as JSON data source and given charset name.
      Parameters:
        `stream` - JSON data input stream
        `charsetName` - name of the charset with which the stream is encoded
      Returns:
        a new `JsonReader`

    - #### from

          static JsonReader from(InputStream stream,
                                 Charset charset)

      Build a `JsonReader` using given `InputStream` as JSON data source and given charset.
      Parameters:
        `stream` - JSON data input stream
        `charset` - charset with which the stream is encoded
      Returns:
        a new `JsonReader`

Copyright © 2019 The Holon Platform. All rights reserved.